<?php
/**
*
* @package phpBB Extension - Facebook&Twitter slider
* @copyright (c) 2019 theriddler - https://peppersrusforum.nl
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace theriddler\facebooktwitterslider\acp;

class facebooktwitterslider_module
{
	var $u_action;

	function main($id, $mode)
	{
		global $config, $user, $template, $request;

		$this->tpl_name = 'acp_facebooktwitterslider_config';
		$this->page_title = $user->lang['ACP_FACEBOOKTWITTER_SETTINGS'];
		add_form_key('acp_facebooktwitterslider_config');

		$submit = $request->is_set_post('submit');
		if ($submit)
		{
			if (!check_form_key('acp_facebooktwitterslider_config'))
			{
				trigger_error('FORM_INVALID');
			}
			$config->set('facebookslide_enable', $request->variable('facebookslide_enable', 0));
			$config->set('facebookslide_url_field', $request->variable('facebookslide_url_field', '', true));
			$config->set('facebookslide_appid_field', $request->variable('facebookslide_appid_field', '', true));
			$config->set('twitterslide_enable', $request->variable('twitterslide_enable', 0));
			$config->set('twitterslide_name_field', $request->variable('twitterslide_name_field', '', true));

			trigger_error($user->lang['ACP_FACEBOOKTWITTER_CONFIG_SAVED'] . adm_back_link($this->u_action));
		}

		$template->assign_vars(array(
			'ACP_FACEBOOKTWITTER_VERSION'			=> (isset($config['facebooktwitter_version'])) ? $config['facebooktwitter_version'] : '',
			'ACP_FACEBOOKSLIDE_ENABLE'				=> (!empty($config['facebookslide_enable'])) ? true : false,
			'FACEBOOKSLIDE_URL_FIELD'				=> (isset($config['facebookslide_url_field'])) ? $config['facebookslide_url_field'] : '',
			'FACEBOOKSLIDE_APPID_FIELD'				=> (isset($config['facebookslide_appid_field'])) ? $config['facebookslide_appid_field'] : '',
			'ACP_TWITTERSLIDE_ENABLE'				=> (!empty($config['twitterslide_enable'])) ? true : false,
			'TWITTERSLIDE_NAME_FIELD'				=> (isset($config['twitterslide_name_field'])) ? $config['twitterslide_name_field'] : '',
			'U_ACTION'								=> $this->u_action,
		));
	}
}
